सामग्री पर जाएँ

Fibo Lite

इंटीग्रेट करें

मॉडल id bria/fibo-lite/generate
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.036 36 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Bria AI टेक्स्ट से इमेज तेज़ #bria#fibo#lite

संरचित प्रॉम्प्ट समर्थन और वैकल्पिक संदर्भ इमेज वाला तेज़, हल्का टेक्स्ट-टू-इमेज मॉडल

Bria AI · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

निर्माण के लिए उपयोग किया गया प्रॉम्प्ट।

aspect_ratio डिफ़ॉल्ट 1:1

इमेज का आस्पेक्ट अनुपात; उपलब्ध मान हैं 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9।

उन्नत image · seed · structured_prompt
image_url
फ़ाइल ड्रॉप करें, या

इनपुट इमेज का URL।

डिफ़ॉल्ट 7

रैंडम नंबर जनरेटर द्वारा उपयोग किया गया सीड।

निर्माण के लिए उपयोग किया गया संरचित प्रॉम्प्ट।

POST /run/bria/fibo-lite/generate?wait=20 कोटेशन → $0.036
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Fibo Lite के बारे में

Fibo का हल्का वेरिएंट जो `prompt` या `structured_prompt` से इमेज बनाता है, जिसमें इनपुट के रूप में एक वैकल्पिक `image_url` होता है। इसकी सेटिंग्स `seed` (डिफ़ॉल्ट 7) और नौ वैल्यूज में से `aspect_ratio` हैं। इसमें कोई रिज़ॉल्यूशन या स्टेप कंट्रोल नहीं है, और यह इमेज के साथ स्ट्रक्चर्ड प्रॉम्प्ट वापस करता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptवैकल्पिक
प्रकारstring | null
निर्माण के लिए उपयोग किया गया प्रॉम्प्ट।
structured_promptवैकल्पिक
प्रकारobject
निर्माण के लिए उपयोग किया गया संरचित प्रॉम्प्ट।
structured_prompt.short_descriptionआवश्यक
प्रकारstring
इमेज में मौजूद सामग्री का संक्षिप्त अवलोकन, अधिकतम 200 शब्दों तक।
structured_prompt.objectsआवश्यक
प्रकारobject[]
अग्रभूमि या मध्यभूमि में मौजूद उल्लेखनीय ऑब्जेक्ट की सूची।
structured_prompt.objects[].descriptionआवश्यक
प्रकारstring
ऑब्जेक्ट का वर्णन करने वाला संक्षिप्त सारांश।
structured_prompt.objects[].locationआवश्यक
प्रकारstring
स्थान, उदाहरण के लिए: 'center', 'top-left', या 'bottom-right foreground'।
structured_prompt.objects[].relationshipआवश्यक
प्रकारstring
वर्णन करें कि यह ऑब्जेक्ट इमेज के भीतर अन्य ऑब्जेक्ट से कैसे संबंधित है।
structured_prompt.objects[].relative_sizeवैकल्पिक
प्रकारstring | null
आकार, उदाहरण के लिए: 'small', 'medium', या 'large within frame'।
structured_prompt.objects[].shape_and_colorवैकल्पिक
प्रकारstring | null
ऑब्जेक्ट का मूल आकार और मुख्य रंग।
structured_prompt.objects[].textureवैकल्पिक
प्रकारstring | null
टेक्सचर, उदाहरण के लिए: 'smooth', 'rough', 'metallic', या 'furry'।
structured_prompt.objects[].appearance_detailsवैकल्पिक
प्रकारstring | null
ध्यान देने योग्य अतिरिक्त दृश्य विशेषताएँ।
structured_prompt.objects[].number_of_objectsवैकल्पिक
प्रकारinteger | null
क्लस्टर के भीतर ऑब्जेक्ट की संख्या।
structured_prompt.objects[].poseवैकल्पिक
प्रकारstring | null
शरीर की स्थिति।
structured_prompt.objects[].expressionवैकल्पिक
प्रकारstring | null
चेहरे पर दिखाई देने वाली अभिव्यक्ति।
structured_prompt.objects[].clothingवैकल्पिक
प्रकारstring | null
पहने हुए कपड़े।
structured_prompt.objects[].actionवैकल्पिक
प्रकारstring | null
व्यक्ति द्वारा की गई क्रिया।
structured_prompt.objects[].genderवैकल्पिक
प्रकारstring | null
व्यक्ति का लिंग।
structured_prompt.objects[].skin_tone_and_textureवैकल्पिक
प्रकारstring | null
त्वचा का रंग-टोन और टेक्सचर।
structured_prompt.objects[].orientationवैकल्पिक
प्रकारstring | null
व्यक्ति का अभिविन्यास।
structured_prompt.background_settingआवश्यक
प्रकारstring
पूरे दृश्य का वर्णन: यह कहाँ घटित होता है, इसके आसपास का वातावरण या पृष्ठभूमि, और ध्यान देने योग्य कोई भी बैकग्राउंड विशेषताएँ।
structured_prompt.lightingआवश्यक
प्रकारobject
प्रकाश व्यवस्था का वर्णन करने वाली जानकारी।
structured_prompt.lighting.conditionsआवश्यक
प्रकारstring
प्रकाश के उदाहरणों में 'bright daylight', 'dim indoor', 'studio lighting', और 'golden hour' शामिल हैं।
structured_prompt.lighting.directionआवश्यक
प्रकारstring
प्रकाश की दिशा; उदाहरणों में 'front-lit', 'backlit', और 'side-lit from left' शामिल हैं।
structured_prompt.lighting.shadowsवैकल्पिक
प्रकारstring | null
मौजूद किसी भी छाया का वर्णन।
structured_prompt.aestheticsआवश्यक
प्रकारobject
इमेज के सौंदर्य संबंधी गुणों का वर्णन करने वाली जानकारी।
structured_prompt.aesthetics.compositionआवश्यक
प्रकारstring
कंपोज़िशन शैली; उदाहरणों में 'rule of thirds', 'symmetrical', 'centered', और 'leading lines' शामिल हैं।
structured_prompt.aesthetics.color_schemeआवश्यक
प्रकारstring
रंग योजना; उदाहरणों में 'monochromatic blue', 'warm complementary colors', और 'high contrast' शामिल हैं।
structured_prompt.aesthetics.mood_atmosphereआवश्यक
प्रकारstring
मूड या वातावरण, उदाहरण के लिए `joyful`, `serene`, `mysterious`, या `energetic`।
structured_prompt.aesthetics.aesthetic_scoreआवश्यक
प्रकारstring
स्कोर का वर्णन, उदाहरण के लिए medium, very low, low, very high, या high।
structured_prompt.aesthetics.preference_scoreआवश्यक
प्रकारstring
स्कोर का वर्णन, उदाहरण के लिए medium, very low, low, very high, या high।
structured_prompt.photographic_characteristicsवैकल्पिक
प्रकारobject
फ़ोटोग्राफ़िक गुणों का वर्णन करने वाली जानकारी।
structured_prompt.photographic_characteristics.depth_of_fieldआवश्यक
प्रकारstring
डेप्थ ऑफ़ फ़ील्ड; उदाहरणों में 'shallow', 'deep', और 'bokeh background' शामिल हैं।
structured_prompt.photographic_characteristics.focusआवश्यक
प्रकारstring
फ़ोकस की विशेषताएँ; उदाहरणों में 'sharp focus on subject', 'soft focus', और 'motion blur' शामिल हैं।
structured_prompt.photographic_characteristics.camera_angleआवश्यक
प्रकारstring
कैमरा कोण; उदाहरणों में 'eye-level', 'low angle', 'high angle', और 'dutch angle' शामिल हैं।
structured_prompt.photographic_characteristics.lens_focal_lengthआवश्यक
प्रकारstring
लेंस का प्रकार या फ़ोकल लंबाई, उदाहरण के लिए `macro`, `fisheye`, `wide-angle`, या `telephoto`।
structured_prompt.style_mediumवैकल्पिक
प्रकारstring | null
उपयोग किया गया कलात्मक माध्यम या शैली।
structured_prompt.text_renderवैकल्पिक
प्रकारobject[]
इमेज के भीतर रेंडर किए गए टेक्स्ट तत्वों की सूची।
structured_prompt.text_render[].textआवश्यक
प्रकारstring
टेक्स्ट की सामग्री।
structured_prompt.text_render[].locationआवश्यक
प्रकारstring
स्थान, उदाहरण के लिए: 'center', 'top-left', या 'bottom-right foreground'।
structured_prompt.text_render[].sizeआवश्यक
प्रकारstring
आकार, उदाहरण के लिए: 'small', 'medium', या 'large within frame'।
structured_prompt.text_render[].colorआवश्यक
प्रकारstring
रंग, उदाहरण के लिए `green`, `red`, या `blue`।
structured_prompt.text_render[].fontआवश्यक
प्रकारstring
फ़ॉन्ट शैली, उदाहरण के लिए `minimalist`, `realistic`, या `cartoonish`।
structured_prompt.text_render[].appearance_detailsवैकल्पिक
प्रकारstring | null
ध्यान देने योग्य अतिरिक्त दृश्य विशेषताएँ।
structured_prompt.contextआवश्यक
प्रकारstring
इमेज की व्याख्या में सहायता करने वाला अतिरिक्त संदर्भ।
structured_prompt.artistic_styleआवश्यक
प्रकारstring
विशिष्ट कलात्मक विशेषताएँ, अधिकतम 3 शब्दों में व्यक्त।
structured_prompt.subject_emotionsवैकल्पिक
प्रकारstring | null
विषयों की दिखाई देने वाली अभिव्यक्तियों या भावनाओं का स्पष्ट वर्णन।
image_urlवैकल्पिक image
प्रकारurl · image
इनपुट इमेज का URL।
seedवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट7
रैंडम नंबर जनरेटर द्वारा उपयोग किया गया सीड।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1:1
1:12:33:23:44:34:55:49:1616:9
इमेज का आस्पेक्ट अनुपात; उपलब्ध मान हैं 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-lite/generate",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 36,
    "usd": "0.036",
    "charged": 36,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {}
    ],
    "structured_prompt": {
      "short_description": "string",
      "objects": [
        {
          "description": "string",
          "location": "string",
          "relationship": "string",
          "relative_size": "string",
          "shape_and_color": "string",
          "texture": "string",
          "appearance_details": "string",
          "number_of_objects": 1,
          "pose": "string",
          "expression": "string",
          "clothing": "string",
          "action": "string",
          "gender": "string",
          "skin_tone_and_texture": "string",
          "orientation": "string"
        }
      ],
      "background_setting": "string",
      "lighting": {
        "conditions": "string",
        "direction": "string",
        "shadows": "string"
      },
      "aesthetics": {
        "composition": "string",
        "color_scheme": "string",
        "mood_atmosphere": "string",
        "aesthetic_score": "string",
        "preference_score": "string"
      },
      "photographic_characteristics": {
        "depth_of_field": "string",
        "focus": "string",
        "camera_angle": "string",
        "lens_focal_length": "string"
      },
      "style_medium": "string",
      "text_render": [
        {
          "text": "string",
          "location": "string",
          "size": "string",
          "color": "string",
          "font": "string",
          "appearance_details": "string"
        }
      ],
      "context": "string",
      "artistic_style": "string",
      "subject_emotions": "string"
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size, width, height}मॉडल द्वारा बनाई गई इमेज।
images
array of objectनिर्माण से तैयार की गई इमेज।
structured_prompt
object {short_description, objects, background_setting, lighting, aesthetics, photographic_characteristics, style_medium, text_render, context, artistic_style, subject_emotions}वर्तमान में उपयोग किया जा रहा प्रॉम्प्ट।

और मॉडल: टेक्स्ट से इमेज

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/bria/fibo-lite/generate.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt